# vim: set ft=spec: -*- rpm-spec -*-

Name: alterator-ca
Version: 0.3
Release: alt1

Summary: Office Server CA Manager
Group: System/Base
License: GPL

Packager: Alexey I. Froloff <raorn@altlinux.org>

BuildArch: noarch

Source: %name-%version.tar

Requires: alterator >= 4.6-alt3
Conflicts: alterator-fbi < 5.7-alt4

BuildPreReq: alterator >= 4.6-alt3

%description
Certification Authority Manager for Office Server.

%prep
%setup

%build
%make_build

%install
%makeinstall

mkdir -p %buildroot{%_sysconfdir/alterator-ca,%_localstatedir/alterator-ca/{CA,in,out},%_libexecdir/alterator/hooks/trust.d}
install -p -m644 etc/dnparam.txt %buildroot%_sysconfdir/alterator-ca/
install -p -m755 hook/ca %buildroot%_libexecdir/alterator/hooks/trust.d

%files
%dir %_sysconfdir/alterator-ca
%config(noreplace) %_sysconfdir/alterator-ca/dnparam.txt
%_bindir/ca-sh-functions
%_sbindir/ca-sko
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*
%_datadir/alterator/interfaces/guile/type/*
%_datadir/alterator-ca
%_alterator_backend3dir/*
%_libexecdir/alterator/hooks/trust.d/ca
%dir %attr(700,root,root) %_localstatedir/alterator-ca
%dir %_localstatedir/alterator-ca/CA
%dir %_localstatedir/alterator-ca/in
%dir %_localstatedir/alterator-ca/out

%changelog
* Fri Apr 17 2009 Alexey I. Froloff <raorn@altlinux.org> 0.3-alt1
- Leave Country and Organization empty by default

* Fri Apr 17 2009 Alexey I. Froloff <raorn@altlinux.org> 0.2-alt1
- Announce CA in avahi
- Fix CA path in CA.cnf

* Fri Apr 10 2009 Alexey I. Froloff <raorn@altlinux.org> 0.1-alt1
- Initial build

